clamav (1.5.3+dfsg-0ubuntu0.24.04.2) noble; urgency=medium

  [ Bryan Fraschetti ]
  * Modify the socket generator to support concurrent LocalSocket and
    TCPSocket ListenStreams and add the ability to configure LocalSocketMode
    and LocalSocketGroup options within the generator.
    - d/clamav-daemon-socket-generator

  [ Ioanna Alifieraki ]
  * Add a socket generator for clamav-daemon that independently supports TCP
    and LocalSocket ListenStreams to resolve an issue where using
    dpkg-reconfigure to configure the clamav-daemon had no effect and did not
    create the expected socket (LP: #2129160).
    - d/clamav-daemon-socket-generator
    - d/clamav-daemon.install

 -- Bryan Fraschetti <bryan.fraschetti@canonical.com>  Mon, 13 Jul 2026 16:21:04 -0400

clamav (1.5.3+dfsg-0ubuntu0.24.04.1) noble-security; urgency=medium

  * Update to 1.5.3 to fix security issues and FIPS compatibility
    - debian/watch: switch to 1.5.*.
    - upstream/signing-key.asc: updated.
    - debian/rules: bump CL_FLEVEL to 233.
    - debian/libclamav12.symbols: updated symbols to new version.
    - debian/*postinst.in: added new options.
    - debian/libclamav12.install: bump so versions.
    - debian/clamav-freshclam.*: added new /etc/clamav/certs directory.
    - debian/usr.bin.freshclam, debian/usr.sbin.clamd: add
      /etc/clamav/certs to profile.
    - CVE-2026-20213, CVE-2026-20214, CVE-2026-20215, CVE-2026-20216,
      CVE-2026-20217, CVE-2026-20243, CVE-2026-20244

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Jul 2026 08:07:08 -0400

clamav (1.4.4+dfsg-0ubuntu0.24.04.1) noble-security; urgency=medium

  * Updated to version 1.4.4 to fix security issue.
    - debian/rules: bump CL_FLEVEL to 214, set DH_ALWAYS_EXCLUDE = *.orig.
    - debian/libclamav12.symbols: updated symbols to new version.
    - debian/control, debian/rules: build with rustc 1.91.
    - CVE-2026-20031

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Apr 2026 06:02:01 -0400

clamav (1.4.3+dfsg-0ubuntu0.24.04.1) noble-security; urgency=medium

  * Rebuild as security update for Ubuntu 24.04 LTS.
    - CVE-2025-20234
    - CVE-2025-20260

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 Jun 2025 13:10:29 -0400

clamav (1.4.3+dfsg-0ubuntu1) questing; urgency=medium

  * Updated to version 1.4.3 to fix security issue.
    - debian/rules: bump CL_FLEVEL to 213.
    - debian/libclamav12.symbols: updated CLAMAV_PRIVATE and
      cl_retflevel symbols to new version.
    - CVE-2025-20234
    - CVE-2025-20260

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 Jun 2025 12:39:40 -0400

clamav (1.4.2+dfsg-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - clamav-base.postinst.in: Quell warning from check for clamav user
      (LP #1920217).
    - d/rules: use RelWithDebInfo profile as the Rust CMake scripts can not
      recognize the "None" type specified by dh-cmake.
      (LP #2071663)
    - Extend ifupdown script to support networkd-dispatcher.
      + d/clamav-freshclam-ifupdown: Modernize some parts of
        the script.  Implement support for networkd-dispatcher.
      + d/clamav-freshclam.links: Install the
        clamav-freshclam-ifupdown script inside the proper
        /usr/lib/networkd-dispatcher/{off,routable}.d/
        directories. (LP #1718227)
    - debian/po: update translations
  * Dropped:
    - Updated to version 1.4.2 to fix security issue.
      + debian/rules: bump CL_FLEVEL to 212.
      + debian/libclamav12.symbols: updated CLAMAV_PRIVATE and
        cl_retflevel symbols to new version.
      + CVE-2025-20128
      [Debian now carries 1.4.2]

 -- Bryce Harrington <bryce@canonical.com>  Fri, 13 Jun 2025 01:02:43 -0700

clamav (1.4.2+dfsg-1) unstable; urgency=medium

  * Import 1.4.2 (Closes: #1093880)
    - CVE-2025-20128 (buffer overflow read bug in the OLE2 file parser).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 06 Feb 2025 21:56:48 +0100

clamav (1.4.2+dfsg-0ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:23:37 +0200

clamav (1.4.2+dfsg-0ubuntu1) plucky; urgency=medium

  * Updated to version 1.4.2 to fix security issue.
    - debian/rules: bump CL_FLEVEL to 212.
    - debian/libclamav12.symbols: updated CLAMAV_PRIVATE and
      cl_retflevel symbols to new version.
    - CVE-2025-20128

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 23 Jan 2025 12:58:42 -0500

clamav (1.4.1+dfsg-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085222). Remaining changes:
    - clamav-base.postinst.in: Quell warning from check for clamav user
      (LP #1920217).
    - d/rules: use RelWithDebInfo profile as the Rust CMake scripts can not
      recognize the "None" type specified by dh-cmake.
      (LP #2071663)
    - Extend ifupdown script to support networkd-dispatcher.
      + d/clamav-freshclam-ifupdown: Modernize some parts of
        the script.  Implement support for networkd-dispatcher.
      + d/clamav-freshclam.links: Install the
        clamav-freshclam-ifupdown script inside the proper
        /usr/lib/networkd-dispatcher/{off,routable}.d/
        directories. (LP #1718227)
    - debian/po: update translations
  * Dropped:
    - SECURITY UPDATE: out of bounds read in PDF parser
      + debian/patches/CVE-2024-20505.patch: add more checks to
        libclamav/pdf.c, libclamav/pdfng.c.
      + CVE-2024-20505
      [Included in Debian 1.4.1+dfsg-1]
    - SECURITY UPDATE: file overwrite via log file symlinks
      + debian/patches/CVE-2024-20506.patch: disable following symlinks when
        opening log files in common/output.c.
      + CVE-2024-20506
      [Included in Debian 1.4.1+dfsg-1]
    - d/patches: add a patch to make the build system respect the rustflags
      (LP #2071663).
      [Taken upstream in 1.4.0]
    - d/rules, d/s/include-binaries,
      d/p/Fix-unit-test-caused-by-expiring-signing-certificate.patch:
      Fix signing of "text.exe" with expired certs.
      (LP #2078478)
      [Already present in Debian 1.3.1+dfsg-5]

 -- Bryce Harrington <bryce@canonical.com>  Thu, 16 Jan 2025 16:27:52 -0800

clamav (1.4.1+dfsg-1) unstable; urgency=medium

  * Import 1.4.1 (Closes: #1080962)
    - CVE-2024-20506 (Changed the logging module to disable following symlinks
      on Linux)
    - CVE-2024-20505 (Fixed a possible out-of-bounds read bug in the PDF file
      parser).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 03 Oct 2024 10:51:50 +0200

clamav (1.3.1+dfsg-5ubuntu2) oracular; urgency=medium

  * SECURITY UPDATE: out of bounds read in PDF parser
    - debian/patches/CVE-2024-20505.patch: add more checks to
      libclamav/pdf.c, libclamav/pdfng.c.
    - CVE-2024-20505
  * SECURITY UPDATE: file overwrite via log file symlinks
    - debian/patches/CVE-2024-20506.patch: disable following symlinks when
      opening log files in common/output.c.
    - CVE-2024-20506

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 16 Sep 2024 11:22:38 -0400

clamav (1.3.1+dfsg-5ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - clamav-base.postinst.in: Quell warning from check for clamav user
      (LP #1920217).
    - Extend ifupdown script to support networkd-dispatcher.
      + d/clamav-freshclam-ifupdown: Modernize some parts of
        the script.  Implement support for networkd-dispatcher.
      + d/clamav-freshclam.links: Install the
        clamav-freshclam-ifupdown script inside the proper
        /usr/lib/networkd-dispatcher/{off,routable}.d/
        directories. (LP #1718227)
    - d/rules: use RelWithDebInfo profile as the Rust CMake scripts can not
      recognize the "None" type specified by dh-cmake.
    - d/patches: add a patch to make the build system respect the rustflags
      (LP: #2071663).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 15:48:20 +0200

clamav (1.3.1+dfsg-5) unstable; urgency=medium

  * Update expired certs (Closes: #1078274).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 27 Aug 2024 22:55:37 +0200

clamav (1.3.1+dfsg-4ubuntu2) oracular; urgency=medium

  * d/rules, d/s/include-binaries,
    d/p/Fix-unit-test-caused-by-expiring-signing-certificate.patch:
    Fix signing of "text.exe" with expired certs.
    [Adopted from Debian 1.3.1+dfsg-5]
    (LP: #2078478)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 11 Sep 2024 00:01:23 -0700

clamav (1.3.1+dfsg-4ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - clamav-base.postinst.in: Quell warning from check for clamav user
      (LP #1920217).
    - Extend ifupdown script to support networkd-dispatcher.
      + d/clamav-freshclam-ifupdown: Modernize some parts of
        the script.  Implement support for networkd-dispatcher.
      + d/clamav-freshclam.links: Install the
        clamav-freshclam-ifupdown script inside the proper
        /usr/lib/networkd-dispatcher/{off,routable}.d/
        directories. (LP #1718227)
    - d/rules: use RelWithDebInfo profile as the Rust CMake scripts can not
      recognize the "None" type specified by dh-cmake.
    - d/patches: add a patch to make the build system respect the rustflags
      (LP: #2071663).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jul 2024 08:45:07 +0200

clamav (1.3.1+dfsg-4) unstable; urgency=medium

  * Move files from lib to usr/lib (Closes: #1073612).
  * Apply patch against unaligned access. Credits to Vladimir Petko and
    Gianfranco Costamagna (Closes: #1073128).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 28 Jun 2024 20:23:21 +0200

clamav (1.3.1+dfsg-3ubuntu3) oracular; urgency=medium

  * d/rules: use RelWithDebInfo profile as the Rust CMake scripts can not
    recognize the "None" type specified by dh-cmake.
  * d/patches: add a patch to make the build system respect the rustflags
    (LP: #2071663).

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 01 Jul 2024 11:07:50 -0600

clamav (1.3.1+dfsg-3ubuntu2) oracular; urgency=medium

  * No-change rebuild to enable frame pointers

 -- Zixing Liu <zixing.liu@canonical.com>  Mon, 01 Jul 2024 17:39:18 +0200

clamav (1.3.1+dfsg-3ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2064394). Remaining changes:
     - d/p/resolve-armhf-ftbfs.patch: resolve armhf failure to build from
       source. (Closes #1073128)
    - clamav-base.postinst.in: Quell warning from check for clamav user
      (LP #1920217).
    - Extend ifupdown script to support networkd-dispatcher.
      + d/clamav-freshclam-ifupdown: Modernize some parts of
        the script.  Implement support for networkd-dispatcher.
      + d/clamav-freshclam.links: Install the
        clamav-freshclam-ifupdown script inside the proper
        /usr/lib/networkd-dispatcher/{off,routable}.d/
        directories. (LP #1718227)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 13 Jun 2024 20:29:42 -0700

clamav (1.3.1+dfsg-3) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 04 Jun 2024 23:15:26 +0200

clamav (1.3.1+dfsg-2) experimental; urgency=medium

  * Revert the t64 suffix (Closes: #1071232).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 30 May 2024 17:30:21 +0200

clamav (1.3.1+dfsg-1) experimental; urgency=medium

  * Import 1.3.1
  * Add systemd-dev to Build-Depends (Closes: #1060559).
  * Mark clamav-base as foreign (Closes: #1060889).
  * Bump standards-version to 4.7.0 without changes.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 05 May 2024 13:04:51 +0200

clamav (1.2.1+dfsg-3) experimental; urgency=medium

  * Add proper Breaks/Replaces for the docs vs clamav. Rightfully reported by
    Andreas Beckmann (Closes: #1055494).
  * Update Swedish translation. Updated by Martin Bagge and Anders Jonsson
    (Closes: #1062665).
  * Rename libraries for 64-bit time_t transition. Based on NMU from Steve
    Langasek (Closes: #1062072).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 03 Feb 2024 12:27:16 +0100

clamav (1.2.1+dfsg-2) experimental; urgency=medium

  * Drop the PE patches, an alternative patch went upstream.
  * Add proper Breaks/Replaces for the docs transitional packages. Rightfully
    reported by Andreas Beckmann (Closes: #1055494).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 07 Nov 2023 22:03:07 +0100

clamav (1.2.1+dfsg-1) experimental; urgency=medium

  * Import 1.2.1
  * Add libclamav12 after so bump.
  * Move documentation to clamav-doc.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 05 Nov 2023 21:29:59 +0100

clamav (1.0.5+dfsg-1.1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:48:52 +0000

clamav (1.0.5+dfsg-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:09:48 +0000

clamav (1.0.5+dfsg-1.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
     - d/p/resolve-armhf-ftbfs.patch: resolve armhf failure to build from
       source.
    - clamav-base.postinst.in: Quell warning from check for clamav user
      (LP 1920217).
    - Extend ifupdown script to support networkd-dispatcher.
      + d/clamav-freshclam-ifupdown: Modernize some parts of
        the script.  Implement support for networkd-dispatcher.
      + d/clamav-freshclam.links: Install the
        clamav-freshclam-ifupdown script inside the proper
        /usr/lib/networkd-dispatcher/{off,routable}.d/
        directories. (LP 1718227)
  * Dropped:
    - po files update
      [previously undocumented]
      [causes merge conflict on rebase]

 -- Bryce Harrington <bryce@canonical.com>  Tue, 05 Mar 2024 11:00:58 -0800

clamav (1.0.5+dfsg-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:34:24 +0000

clamav (1.0.5+dfsg-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable as security update.
    Remaining changes:
    - Extend ifupdown script to support networkd-dispatcher.
      + d/clamav-freshclam-ifupdown: Modernize some parts of
        the script.  Implement support for networkd-dispatcher.
      + d/clamav-freshclam.links: Install the
        clamav-freshclam-ifupdown script inside the proper
        /usr/lib/networkd-dispatcher/{off,routable}.d/
        directories. (LP: 1718227)
    - clamav-base.postinst.in: Quell warning from check for clamav user
      (LP: 1920217).
    - d/p/resolve-armhf-ftbfs.patch: resolve armhf failure to build from
      source.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 12 Feb 2024 09:36:24 -0500

clamav (1.0.4+dfsg-0ubuntu1) noble; urgency=medium

  * Updated to version 1.0.4 to fix db compatibility. (LP: #2046581)
    - debian/rules: bump CL_FLEVEL to 164.
    - debian/libclamav11.symbols: updated CLAMAV_PRIVATE symbols to new
      version.
    - debian/series/cargo-Remove-windows-referenfes.patch: disabled as
      the mentioned files aren't being removed by the debian/get_orig.sh
      script, so I assume the Debian maintainer is using a different script
      to generate the dfsg tarball.
    - debian/series/Freshclam-remove-curl-result-warning.patch: removed,
      included in new version.
    - Updated patches for new version:
      + libclamav-Sort-libclamav.map-and-libfreshclam.map.patch
      + libclamav-Add-missing-symbols.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 04 Jan 2024 11:04:58 -0500

clamav (1.0.3+dfsg-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable as security update (LP: #2040372).
    Remaining changes:
    - Extend ifupdown script to support networkd-dispatcher.
      + d/clamav-freshclam-ifupdown: Modernize some parts of
        the script.  Implement support for networkd-dispatcher.
      + d/clamav-freshclam.links: Install the
        clamav-freshclam-ifupdown script inside the proper
        /usr/lib/networkd-dispatcher/{off,routable}.d/
        directories. (LP: 1718227)
    - clamav-base.postinst.in: Quell warning from check for clamav user
      (LP: 1920217).
    - d/p/resolve-armhf-ftbfs.patch: resolve armhf failure to build from
      source.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 12 Dec 2023 10:24:25 -0500

clamav (1.0.3+dfsg-2) unstable; urgency=medium

  * Remove unnecessary warning messages in freshclam during update.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 09 Sep 2023 12:49:40 +0200

clamav (1.0.3+dfsg-1) unstable; urgency=medium

  * Import 1.0.3

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 09 Sep 2023 10:18:34 +0200

clamav (1.0.2+dfsg-1ubuntu1) mantic; urgency=medium

  [ Marc Deslauriers ]
  * Merge with Debian unstable as security update (LP: #2031565).
    Remaining changes:
    - Extend ifupdown script to support networkd-dispatcher.
      + d/clamav-freshclam-ifupdown: Modernize some parts of
        the script.  Implement support for networkd-dispatcher.
      + d/clamav-freshclam.links: Install the
        clamav-freshclam-ifupdown script inside the proper
        /usr/lib/networkd-dispatcher/{off,routable}.d/
        directories. (LP: 1718227)
    - clamav-base.postinst.in: Quell warning from check for clamav user
      (LP: 1920217).
    - CVE-2023-20197
    - CVE-2023-20212

  [ Vladimir Petko ]
  * d/p/resolve-armhf-ftbfs.patch: resolve armhf failure to build from
    source.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Aug 2023 10:44:37 -0400

clamav (1.0.2+dfsg-1) unstable; urgency=medium

  * Import 1.0.2 (Closes: #1050057)
    - CVE-2023-20197 (Possible DoS in HFS+ file parser).
    - CVE-2023-20212 (Possible DoS in AutoIt file parser).
  * Use cmake for xml2 detection (Closes: #949100).
  * Replace tomsfastmath with OpenSSL's BN.
  * Don't enable clamonacc by default (Closes: #1030171).
  * Let the clamav-daemon.socket depend on the service file again
    (Closes: #1044136).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 19 Aug 2023 19:07:32 +0200

clamav (1.0.1+dfsg-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018063). Remaining changes:
    - Extend ifupdown script to support networkd-dispatcher.
      + d/clamav-freshclam-ifupdown: Modernize some parts of
        the script.  Implement support for networkd-dispatcher.
      + d/clamav-freshclam.links: Install the
        clamav-freshclam-ifupdown script inside the proper
        /usr/lib/networkd-dispatcher/{off,routable}.d/
        directories.(LP: #1718227)
    - clamav-base.postinst.in: Quell warning from check for clamav user
      (LP: #1920217).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 31 Jul 2023 09:11:40 +1200

clamav (1.0.1+dfsg-2) unstable; urgency=medium

  * Depend on latest libtfm1 (Closes: #1031896, #1027010).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 26 Feb 2023 17:39:06 +0100

clamav (1.0.1+dfsg-1) unstable; urgency=medium

  * Import 1.0.1 (Closes: #1031509)
    - CVE-2023-20032 (Possible RCE in the HFS+ file parser).
    - CVE-2023-20052 (Possible information leak in the DMG file parser).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 17 Feb 2023 20:29:05 +0100

clamav (1.0.0+dfsg-6) unstable; urgency=medium

  [ Sebastian Andrzej Siewior ]
  * Add d/p/Add-an-option-to-avoid-setting-RPATH-on-unix-systems.patch to fix
    rpath issues

  [ Scott Kitterman ]
  * Remove obsolete usr/share/doc/*/NEWS.gz links from debian/*.links, no
    longer provided in the package (Thanks to Paul Wise for reporting)
    (Closes: #1029173)
  * Complete update of d/copyright for upstream file removal/reorganization
  * Restore and update clamav-freshclam and libclamav lintian-overrides for
    current lintian
  * Drop depends on obsolete package lsb-base

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Jan 2023 18:02:12 -0500

clamav (1.0.0+dfsg-5) unstable; urgency=medium

  [ Scott Kitterman ]
  * Update paths in d/tests/clamd for new source layout
  * Add misc:Pre-Depends to clamav-daemon and clamav-milter for
    init-system-helpers
  * Remove obsolete debian/NEWS file
  * More lintian override corrections
  * Start of removing obsolete d/copyright entries

  [ Sebastian Andrzej Siewior ]
  * Fix testsuite on big endian architectures.

 -- Scott Kitterman <scott@kitterman.com>  Fri, 06 Jan 2023 12:33:39 -0500

clamav (1.0.0+dfsg-4) unstable; urgency=medium

  * Drop unneeded build-depends on rust-lldb (Closes: #1027948).

 -- Scott Kitterman <scott@kitterman.com>  Wed, 04 Jan 2023 18:32:47 -0500

clamav (1.0.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable
  * Directly trigger html docs build to fix lack of html docs and update
    clamav-docs.install
  * Fixup duplicate globs in d/copyright
  * Update paths for new source layout in lintian overrides
  * Update clean rule for new tests
  * Add debian/source/options to ignore changes in Cargo.lock when regenerated
    during build
  * Remove obsolete overrides from d/rules

 -- Scott Kitterman <scott@kitterman.com>  Wed, 04 Jan 2023 15:06:03 -0500

clamav (1.0.0+dfsg-2) experimental; urgency=medium

  [ Scott Kitterman ]
  * Add libclamav11 replaces libclamav9 since the libfreshclam so name did not
    change (Closes: #1027698).

  [ Sebastian Andrzej Siewior ]
  * Use a version-script and limit the exported symbols of libclamav and
    libfreshclam.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 02 Jan 2023 18:38:42 +0100

clamav (1.0.0+dfsg-1) experimental; urgency=medium

  * Update to 1.0.0 (Closes: #1006179).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 31 Dec 2022 13:44:59 +0100

clamav (0.103.8+dfsg-0ubuntu2) mantic; urgency=medium

  * Extend ifupdown script to support networkd-dispatcher.
    - d/clamav-freshclam-ifupdown: Modernize some parts of
      the script.  Implement support for networkd-dispatcher.
    - d/clamav-freshclam.links: Install the
      clamav-freshclam-ifupdown script inside the proper
      /usr/lib/networkd-dispatcher/{off,routable}.d/
      directories.
    (LP: #1718227)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 12 May 2023 15:58:29 -0400

clamav (0.103.8+dfsg-0ubuntu1) lunar; urgency=medium

  * Updated to version 0.103.8 to fix security issues.
    - debian/rules: bump CL_FLEVEL to 129.
    - debian/libclamav9.symbols: updated CLAMAV_PRIVATE symbols to new
      version.
    - CVE-2023-20032, CVE-2023-20052

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Fri, 24 Feb 2023 09:27:20 +0100

clamav (0.103.7+dfsg-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993390). Remaining changes:
    - clamav-base.postinst.in: Quell warning from check for clamav user
      (LP #1920217)
  * Dropped:
    - Update translations

 -- Bryce Harrington <bryce@canonical.com>  Fri, 18 Nov 2022 23:35:15 -0800

clamav (0.103.7+dfsg-1) unstable; urgency=medium

  * Import 0.103.7
    - Update symbol file.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 14 Aug 2022 21:33:51 +0200

clamav (0.103.6+dfsg-1ubuntu1) kinetic; urgency=medium

  * clamav-base.postinst.in: Quell warning from check for clamav user
    (LP: #1920217)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 18 May 2022 17:26:41 -0700

clamav (0.103.6+dfsg-1) unstable; urgency=medium

  * Import 0.103.6
    - CVE-2022-20770 (Possible infinite loop vulnerability in the CHM file
      parser).
    - CVE-2022-20796 (Possible NULL-pointer dereference crash in the scan
      verdict cache check).
    - CVE-2022-20771 (Possible infinite loop vulnerability in the TIFF file
      parser).
    - CVE-2022-20785 (Possible memory leak in the HTML file parser/
      Javascript normalizer).
    - CVE-2022-20792 (Possible multi-byte heap buffer overflow write
      vulnerability in the signature database load module.
    - Update symbol file.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 12 May 2022 18:55:59 +0200

clamav (0.103.5+dfsg-1) unstable; urgency=medium

  * Import 0.103.5
   - CVE-2022-20698 (Fix for invalid pointer read that may cause a crash).
   - Update symbol file.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Wed, 12 Jan 2022 21:31:23 +0100

clamav (0.103.4+dfsg-1) unstable; urgency=medium

  * Import 0.103.4
   - Update symbol file.
  * Add clamonacc.8.
  * Install clamonacc only on Linux. Patch by Laurent Bigonvill
    (Closes: #992776).
  * Drop unused libidn11-dev dependency, suggested by Simon Josefsson
    (Closes: #991976).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 16 Nov 2021 22:03:15 +0100

clamav (0.103.3+dfsg-1) unstable; urgency=medium

  * Import 0.103.3
    - Update symbol file.
    - Regression: clamdscan segfaults with --fdpass --multipass and
      ExcludePath (Closes: #988218).
  * Remove clamav user on purge (Closes: #987861).
  * Remove freshclam.dat on purge.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 02 Jul 2021 00:06:16 +0200

clamav (0.103.2+dfsg-2) unstable; urgency=medium

  * Remove deprecated option SafeBrowsing from debconf templates.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 15 Apr 2021 21:59:11 +0200

clamav (0.103.2+dfsg-1) unstable; urgency=medium

  * Import 0.103.2
    - CVE-2021-1252 (Fix for Excel XLM parser infinite loop.)
    - CVE-2021-1404 (Fix for PDF parser buffer over-read; possible crash.)
    - CVE-2021-1405 (Fix for mail parser NULL-dereference crash.)
    - Update symbol file.
   (Closes: #986622).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 12 Apr 2021 21:31:08 +0200

clamav (0.103.0+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Apply upstream patch to fix call of ck_assert_msg (Closes:
    #980592)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Feb 2021 16:00:07 +0100

clamav (0.103.0+dfsg-3) unstable; urgency=medium

  * Update apparmor profile for clamd. Thanks to Stefano Callegari.
    (Closes: #973619).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 03 Nov 2020 22:03:19 +0100

clamav (0.103.0+dfsg-2) unstable; urgency=medium

  * Update apparmor profile for freshclam. Thanks to Michael Borgelt.
    (Closes: #972974)
  * Fix testsuite in an IPv6 only environment (Closes: #963853).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 01 Nov 2020 20:29:46 +0100

clamav (0.103.0+dfsg-1) unstable; urgency=medium

  * Import 0.103.0
    - Drop CURL_CA_BUNDLE related patch, changes applied upstream.
    - Update symbol file.
  * Rename NEWS.Debian to NEWS.
  * Update lintian overrides.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 24 Oct 2020 18:05:10 +0200

clamav (0.102.4+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Honour DEB_BUILD_OPTIONS=nocheck again. (Closes: #960843)

  [ Scott Kitterman ]
  * Add Suggests for unversioned libclamunrar package on clamav-daemon and
    clamav binaries

  [ Sebastian Andrzej Siewior ]
  * Import 0.102.4
    - CVE-2020-3350 (A malicious user trick clamav into moving a different file).
    - CVE-2020-3327 (A vulnerability in the ARJ archive parsing module).
    - CVE-2020-3481 (A vulnerability in the EGG archive module).
  * Update symbol file.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Fri, 17 Jul 2020 20:30:03 +0200

clamav (0.102.3+dfsg-1) unstable; urgency=medium

  * Import 0.102.3
   - CVE-2020-3327 (A vulnerability in the ARJ archive parsing module)
   - CVE-2020-3341 (A vulnerability in the PDF parsing module)
  * Update symbol file.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 16 May 2020 17:12:04 +0200

clamav (0.102.2+dfsg-2) unstable; urgency=medium

  * Add a patch to let freshclam consider CURL_CA_BUNDLE environment variable
    to set the CA bundle (like curl does) (Closes: #951057).
  * Recommend ca-certificates, new freshclash uses https by default.
  * Bump standards-version to 4.5.0 without further change
  * Use dh-compat level 12.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 22 Feb 2020 13:41:02 +0100

clamav (0.102.2+dfsg-1) unstable; urgency=medium

  * Import 0.102.2
    - CVE-2020-3123 (DoS may occur in the optional DLP feature)
      (Closes: 950944).
  * Update symbol file.
  * Set ReceiveTimeout to 0 which is upstream default.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 09 Feb 2020 20:24:46 +0100

clamav (0.102.1+dfsg-3) unstable; urgency=medium

  * clamav-daemon: Do not cause an error on start if /run/clamav already
    exists
  * clamav-daemon: Correct error from ScanOnAccess option removal so that
    setting LogFile options via DebConf works again (Closes: #950296)
    (LP: #1861497)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 31 Jan 2020 16:49:37 -0500

clamav (0.102.1+dfsg-2) unstable; urgency=medium

  * Add the clamonacc binary to the clamav-daemon package.
  * Drop ScanOnAccess option. The clamonacc provides this functionality.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Mon, 23 Dec 2019 20:54:21 +0100

clamav (0.102.1+dfsg-1) unstable; urgency=medium

  * Import 0.102.1 (Closes: #945265)
   - CVE-2019-15961 (A Denial-of-Service as a result of excessively long scan
      times).
   - Let freshclam show progress during download (Closes: #690789).
  * Update symbol file.
  * Add libfreshclam to the libclamav9 package.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 30 Nov 2019 19:22:15 +0100

clamav (0.101.4+dfsg-1) unstable; urgency=medium

  * Import 0.101.4
   - CVE-2019-12625 (Add scan time limit to limit the processing zip-bombs)
     (Closes:934359)
   - CVE-2019-12900 (An out of bounds write was possible within ClamAV's
     NSIS bzip)
   - update symbols file (bump to 101.4 and drop unused cli_strnstr).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 25 Aug 2019 12:38:25 +0200

clamav (0.101.2+dfsg-3) unstable; urgency=medium

  * Cherry-pick a fix from 0.101.3 to address a vulnerability to
    non-recursive zip bombs.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Tue, 06 Aug 2019 21:42:06 +0200

clamav (0.101.2+dfsg-2) unstable; urgency=medium

  * Remove python from build-depends:
    - Only needed for llvm, which is currently (and probably permanently)
      disabled
    - Support python2 removal, if this comes back, it will need to be python3

 -- Scott Kitterman <scott@kitterman.com>  Fri, 02 Aug 2019 09:20:43 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog clamav-base`.
